Subject: Re: [DNSOP] New Version Notification for draft-wkumari-dnsop-omniscient-as112-01.txt

From: Warren Kumari <[email-masked]>
Date: Sat, 22 Sep 2012 20:35:14 +0200

On Aug 29, 2012, at 11:59 PM, Warren Kumari <[email-masked]> wrote:

> Hi there dnsopers,
> 
> We have updated this draft with the feedback from the fact to face meeting in Vancouver, and made some other changes and readability improvements. We would really appreciate any feedback and review.

A gentle reminder to please review / throw tomatoes. If you don't, I'll have to assume that it is A: perfect, B: I should ask for it to be considered for adoption and / or C: published.

There is a running instance of the code on scratch-monkey.kumari.net:

dig -x 10.1.1.1  @scratch-monkey.kumari.net +norec +nostats +noquestion +nocomment

; <<>> DiG 9.7.3-P3 <<>> -x 10.1.1.1 @scratch-monkey.kumari.net +norec +nostats +noquestion +nocomment
;; global options: +cmd
1.1.1.10.in-addr.arpa.	300	IN	SOA	a.as112.net. hostmaster.as112.net. 1 604800 2592000 604800 604800

W

> 
> 
> The primary change was to replace the "empty root zone file" (which didn't work properly as recursive resolvers wouldn't cache it, defeating most of the purpose!) with instructions on how to generate answers. There is also a pointer to some running code created by Ray that does this. 
> We really would have preferred a solution that didn't require custom code, but…
> 
> A number of additional changes (including some text, thanks) were suggested by S. Moonesamy.
> Many of the changes are listed in "Appendix B.4 - Change History".
> 
> W
> 
> Begin forwarded message:
> 
>> From: [email-masked]
>> Subject: New Version Notification for draft-wkumari-dnsop-omniscient-as112-01.txt
>> Date: August 29, 2012 5:47:08 PM EDT
>> To: [email-masked]
>> Cc: [email-masked], [email-masked], [email-masked]
>> 
>> 
>> A new version of I-D, draft-wkumari-dnsop-omniscient-as112-01.txt
>> has been successfully submitted by Warren Kumari and posted to the
>> IETF repository.
>> 
>> Filename:	 draft-wkumari-dnsop-omniscient-as112
>> Revision:	 01
>> Title:		 Omniscient AS112 Servers
>> Creation date:	 2012-08-29
>> WG ID:		 Individual Submission
>> Number of pages: 13
>> URL:             http://www.ietf.org/internet-drafts/draft-wkumari-dnsop-omniscient-as112-01.txt
>> Status:          http://datatracker.ietf.org/doc/draft-wkumari-dnsop-omniscient-as112
>> Htmlized:        http://tools.ietf.org/html/draft-wkumari-dnsop-omniscient-as112-01
>> Diff:            http://www.ietf.org/rfcdiff?url2=draft-wkumari-dnsop-omniscient-as112-01
>> 
>> Abstract:
>>  The AS112 Project loosely coordinates Domain Name System (DNS)
>>  servers to which DNS zones corresponding to private use addresses are
>>  delegated.  Queries for names within those zones have no useful
>>  responses in a global context.  The purpose of this project is to
>>  reduce the load of such junk queries on the authoritative name
>>  servers that would otherwise receive them, and instead direct the
>>  load to name servers operated within the AS112 project.
>> 
>>  Adding and dropping zones from the AS112 servers is difficult, due to
>>  the loosely-coordinated nature of the project.  This document
>>  proposes a mechanism by which AS112 name servers could answer
>>  authoritatively for all possible zones.  This eliminates the add/drop
>>  problem, changing it to a matter of delegation within the DNS and
>>  requiring no operational changes on the servers themselves.
>> 
>>  This document updates RFC 6304.
>> 
>> 
>> 
>> 
>> The IETF Secretariat
>> 
> 
> --
> Credo quia absurdum est.
> 
> 
>